module LazyModal
  class LazyModalsController < LazyModal.modal_parent_controller.constantize
    protect_from_forgery

    rescue_from ActionView::MissingTemplate do
      render plain: 'modal missing, your modal dirs right?', status: :not_found
    end

    def show
      tmpl = if params[:modal_dir]
               "#{params[:modal_dir]}/#{params[:id]}"
             else
               "/lazy_modal/modals/#{params[:id]}"
             end
      render tmpl, layout: nil
    end
  end
end
