module LazyModal
  class InstallGenerator < Rails::Generators::Base
    source_root File.expand_path('../templates', __FILE__)

    desc 'install lazy modal'
    def install
      route "mount LazyModal::Engine => '/'"
      copy_file 'lazy_modal.js', 'app/assets/javascripts/lazy_modal.js'
      copy_file 'lazy_modal.css', 'app/assets/stylesheets/lazy_modal.css'
    end

  end
end
